Package com.pixelmed.convert

# Class UnencapsulateData

java.lang.Object
com.pixelmed.convert.UnencapsulateData

public class UnencapsulateData extends Object

A class to extract the content of a DICOM encapsulated data object into a file.

E.g., to extract an encapsulated PDF, CDA or STL file.

## Constructor Summary

Constructors
Constructor
Description
`UnencapsulateData(String inputFileName, String outputFileName)`
Extract the content of a DICOM encapsulated data object into a file.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Extract the content of a DICOM encapsulated data object into a file.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnencapsulateData

public UnencapsulateData(String inputFileName, String outputFileName) throws FileNotFoundException, IOException, DicomException

Extract the content of a DICOM encapsulated data object into a file.

The SOP Class will be automatically determined from the supplied file type.

Parameters:
  `inputFileName` - DICOM file containing encapsulated data
  `outputFileName` - file to write the encapsulated data to
Throws:
  `FileNotFoundException` - if a file cannot be found
  `IOException` - if there is a problem reading or writing
  `DicomException` - if there is a problem parsing or extracting required content

## Method Details

### main

public static void main(String[] arg)

Extract the content of a DICOM encapsulated data object into a file.

Parameters:
  `arg` - two parameters, the input DICOM file and the output file